#import "HumbleHandpointPlugin.h"
#import "HandpointModule.h"

@implementation HumbleHandpointPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"humble_handpoint"
            binaryMessenger:[registrar messenger]];
  HumbleHandpointPlugin* instance = [[HumbleHandpointPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"getPlatformVersion" isEqualToString:call.method]) {
    NSLog(@"------------- is implemented!!!!");
    result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
      
      
  } else if ([@"getHandPointDevices" isEqualToString:call.method]) {
      NSLog(@"------------- is implemented: %@ | %@",call.method, call.arguments);
      HandpointModule *instance = [[HandpointModule alloc] initWithSharedSecret:@"secret"];
      result([instance getDeviceList]);
  } else {
	NSLog(@"------------- not implemented!!!!");
    result(FlutterMethodNotImplemented);
  }
}

@end
